> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noyo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Member Snapshots for Employee

> Get a list of all member snapshots for a specific employee



## OpenAPI

````yaml GET /api/v1/employees/{employee_id}/member_snapshots
openapi: 3.0.1
info:
  description: Policy management APIs for health and ancillary insurance
  title: Noyo Fulfillment API
  version: 1.0.0
servers:
  - description: Noyo Fulfillment API - Live
    url: https://fulfillment.noyo.com
  - description: Noyo Fulfillment API - Sandbox
    url: https://fulfillment-sandbox.noyo.com
security: []
paths:
  /api/v1/employees/{employee_id}/member_snapshots:
    get:
      tags:
        - Member Snapshot
      summary: Get all Member Snapshots by Employee
      description: >-
        Returns a list with metadata for all member snapshots for a given
        employee.
      operationId: getMemberSnapshotsForEmployeeList
      parameters:
        - description: >-
            The unique identifier of the employee for which you would like to
            view member snapshots
          in: path
          name: employee_id
          required: true
          schema:
            example: 2613a221-d3c8-4c8a-86d5-e7e885fd1da9
            format: uuid
            type: string
        - description: The max size of each page of results
          in: query
          name: page_size
          required: false
          schema:
            type: integer
        - description: >-
            The integer offset at which to start the page. Possible values are 0
            to total_records - 1
          in: query
          name: offset
          required: false
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              example:
                meta:
                  offset: 0
                  page_num: 1
                  page_size: 20
                  total_records: 2
                response:
                  - created: 1599184829
                    employee_id: 7f39b5e0-460d-49e2-83b7-a1b6f2726b12
                    fulfillment_summary:
                      - carrier_id: 4d4d815b-ae8f-430c-901f-1c9d5ee3f4f1
                        errors: []
                        status: processing
                    id: bc4aea3e-f728-4b05-85dc-e1ea14456e83
                    modified: 1599184829
                    status: processing
                    version: 431b7d10-3da6-4c5e-bb2f-58a6ebb1224f
                  - created: 1557512389
                    employee_id: 2613a221-d3c8-4c8a-86d5-e7e885fd1da9
                    fulfillment_summary:
                      - carrier_id: 4d4d815b-ae8f-430c-901f-1c9d5ee3f4f1
                        errors: []
                        status: sent
                    id: 30b74a44-d5b1-4123-a7a4-6d3aec251ba4
                    modified: 1564440756
                    status: completed
                    version: 6260146a-3486-4c3d-b2a6-fcd3f8c84043
              schema:
                $ref: '#/components/schemas/OutboundPaginatedMemberSnapshot'
          description: >-
            Successful Response - Returns metadata for any matching Member
            Snapshots
        '404':
          content:
            application/json:
              example:
                message: >-
                  Employee not found with UUID
                  2613a221-d3c8-4c8a-86d5-e7e885fd1da9
                status: 404
          description: Failure Response - Not found error
components:
  schemas:
    OutboundPaginatedMemberSnapshot:
      properties:
        meta:
          allOf:
            - $ref: '#/components/schemas/Meta'
          description: Metadata associated with the response data
        response:
          description: List of member snapshot results
          items:
            $ref: '#/components/schemas/OutboundSimplifiedMemberSnapshot'
          type: array
      required:
        - meta
        - response
      type: object
      x-field_order:
        - meta
        - response
    Meta:
      properties:
        offset:
          description: The offset of the first response record within the matching data set
          format: int32
          minimum: 0
          readOnly: true
          type: integer
        page_num:
          description: >-
            The page number of the response records within the overall data set
            (1-based integer)
          format: int32
          minimum: 1
          readOnly: true
          type: integer
        page_size:
          description: The maximum number of response records on each page of results
          format: int32
          minimum: 1
          readOnly: true
          type: integer
        total_records:
          description: The total number of records in the entire matching data set
          format: int32
          minimum: 0
          readOnly: true
          type: integer
      required:
        - offset
        - page_num
        - page_size
      type: object
    OutboundSimplifiedMemberSnapshot:
      properties:
        created:
          description: The date the record was created
          type: integer
        employee_id:
          description: Unique identifier of the employee in Noyo
          format: uuid
          type: string
        fulfillment_summary:
          description: List of member snapshot fulfillment statuses per carrier
          items:
            $ref: '#/components/schemas/CarrierFulfillmentStatus'
          type: array
        id:
          description: Unique identifier of the record in Noyo
          format: uuid
          type: string
        modified:
          description: The date the record was last updated
          type: integer
        status:
          description: Status of the member snapshot
          enum:
            - processing
            - completed
            - replaced
            - canceled
            - submitted
          type: string
        version:
          description: Current version of the record
          format: uuid
          type: string
      required:
        - created
        - employee_id
        - id
        - modified
        - status
        - version
      type: object
      x-field_order:
        - id
        - version
        - created
        - modified
        - employee_id
        - status
        - fulfillment_summary
    CarrierFulfillmentStatus:
      properties:
        carrier_id:
          description: Unique identifier of the Carrier in Noyo
          format: uuid
          type: string
        errors:
          description: Errors generated while processing the member snapshot at the carrier
          items:
            type: string
          type: array
        status:
          description: Status of the member snapshot fulfillment at carrier
          enum:
            - invalid
            - no_changes
            - processing
            - replaced
            - scheduled
            - sent
            - valid
            - not_connected
          type: string
      required:
        - carrier_id
        - status
      type: object
      x-field_order: []

````